# MetaClassType Class Reference
[MetaConfiguration's base classes]

Inheritance diagram for MetaClassType:
[legend]

List of all members.

## Static Public Member Functions

static | getAnyId ()
| must return any existent ID 1 should be ok for most enumerations

## Public Attributes

const | CLASS_FINAL = 'final'
const | CLASS_ABSTRACT = 'abstract'
const | CLASS_SPOOKED = 'spooked'

## Protected Attributes

| $names

## Detailed Description

Definition at line 15 of file MetaClassType.class.php.

## Member Function Documentation

static MetaClassType::getAnyId | ( |  | ) | `[static]`

must return any existent ID 1 should be ok for most enumerations

Reimplemented from Enumeration.

Definition at line 27 of file MetaClassType.class.php.

## Member Data Documentation

MetaClassType::$names`[protected]`

Initial value:

     array(
                self::CLASS_FINAL       => self::CLASS_FINAL,
                self::CLASS_ABSTRACT    => self::CLASS_ABSTRACT,
                self::CLASS_SPOOKED     => self::CLASS_SPOOKED
            )

Reimplemented from Enumeration.

Definition at line 21 of file MetaClassType.class.php.

const MetaClassType::CLASS_ABSTRACT = 'abstract'

Definition at line 18 of file MetaClassType.class.php.

Referenced by DaoBuilder::build(), BusinessClassBuilder::build(), MetaConfiguration::buildSchemaChanges(), MetaConfiguration::checkClassSanity(), and MetaConfiguration::load().

const MetaClassType::CLASS_FINAL = 'final'

Definition at line 17 of file MetaClassType.class.php.

Referenced by DaoBuilder::build(), MetaConfiguration::checkClassSanity(), and MetaConfiguration::load().

const MetaClassType::CLASS_SPOOKED = 'spooked'

Definition at line 19 of file MetaClassType.class.php.

Referenced by MetaConfiguration::checkClassSanity(), MetaConfiguration::checkSanity(), and MetaConfiguration::processClasses().

The documentation for this class was generated from the following file:

- meta/classes/MetaClassType.class.php